settings
  time_step_limit = 10;
  time_error_limit = 0;
  crash_calling = 3;
  remote_sync = true;
  remote_sync_timeout = 5;
  skip_init_outputs = false;
  dv_read_only = false;
  tidy_bitmaps = false;
  disable_init_messages = false;
  log_window = false;
  log_window_history = 500;
  clear_log_on_start = false;
  ignore_same_message = true;
  ignore_time_interval = 0.75;
  log_file_size = 64;
end_settings;

const
end_const;

var
  hod = string, '';
  min = string, '';
  sek = string, '';
  text_cas_2 = string, '';
  text_cas_3 = string, '';
  text_cas_3m = string, '';
end_var;

driver
end_driver;

channel
end_channel;

timer

end_timer;

instrument

  window panel panel_1;
    owner = background;
    position = 19, 38, 483, 202;
    win_disable = zoom, maximize, lower, winlist;
    win_title = 'Spsoby tvorby systmovch hodn';
  end_panel;

  label label;
    owner = panel_1;
    position = 29, 144;
    font = SYSTEM, 10, normal;
    text = '1. spsob je tvoren vhradne prstrojmi METER';
    text = '2. spsob je tvoren pomocou systmovch premennch HOUR, MINUTE, SECOND';
    text = '3. spsob je tvoren pomocou systmovej OCL metdy GetTimeString';
  end_label;

  string_display cas_3m;
    owner = panel_1;
    position = 329, 74, 73, 18;
    expression = text_cas_3m;
    justify = left;
  end_string_display;

  label text;
    owner = panel_1;
    position = 329, 24;
    font = SYSTEM, 10, bold;
    text = '3. spsob';
  end_label;

  string_display cas_3;
    owner = panel_1;
    position = 329, 48, 73, 18;
    expression = text_cas_3;
    justify = left;
  end_string_display;

  string_display cas_2;
    owner = panel_1;
    position = 187, 48, 73, 18;
    expression = text_cas_2;
    justify = left;
  end_string_display;

  label text;
    owner = panel_1;
    position = 187, 24;
    font = SYSTEM, 10, bold;
    text = '2. spsob';
  end_label;

  meter meter;
    timer = 1, 0;
    owner = panel_1;
    position = 91, 74, 22, 20;
    expression = second;
    mode = text_display;
    range_to = 59;
    low_limit = 23;
    high_limit = 23;
    dec_places = 0;
    frame = 0;
    font = SYSTEM, 10, bold;
    mask = '@@';
    colors
      ink = black;
      low_limit = lgray;
      high_limit = lgray;
    end_colors;
  end_meter;

  label text;
    owner = panel_1;
    position = 84, 76;
    font = SYSTEM, 10, bold;
    text = ':';
  end_label;

  meter meter;
    timer = 60, 0;
    owner = panel_1;
    position = 61, 74, 22, 20;
    expression = minute;
    mode = text_display;
    range_to = 59;
    low_limit = 23;
    high_limit = 23;
    dec_places = 0;
    frame = 0;
    font = SYSTEM, 10, bold;
    mask = '@@';
    colors
      ink = black;
      low_limit = lgray;
      high_limit = lgray;
    end_colors;
  end_meter;

  label text;
    owner = panel_1;
    position = 54, 76;
    font = SYSTEM, 10, bold;
    text = ':';
  end_label;

  meter meter;
    timer = 3600, 0;
    owner = panel_1;
    position = 31, 74, 22, 20;
    expression = hour;
    mode = text_display;
    range_to = 23;
    low_limit = 23;
    high_limit = 23;
    dec_places = 0;
    frame = 0;
    font = SYSTEM, 10, bold;
    mask = '@@';
    colors
      ink = black;
      low_limit = lgray;
      high_limit = lgray;
    end_colors;
  end_meter;

  label text;
    owner = panel_1;
    position = 84, 50;
    font = SYSTEM, 10, bold;
    text = ':';
  end_label;

  label text;
    owner = panel_1;
    position = 54, 50;
    font = SYSTEM, 10, bold;
    text = ':';
  end_label;

  meter meter;
    timer = 1, 0;
    owner = panel_1;
    position = 91, 48, 22, 20;
    expression = second;
    mode = text_display;
    range_to = 59;
    low_limit = 23;
    high_limit = 23;
    dec_places = 0;
    font = SYSTEM, 10, bold;
    mask = '@@';
    colors
      ink = black;
      low_limit = lgray;
      high_limit = lgray;
    end_colors;
  end_meter;

  meter meter;
    timer = 60, 0;
    owner = panel_1;
    position = 61, 48, 22, 20;
    expression = minute;
    mode = text_display;
    range_to = 59;
    low_limit = 23;
    high_limit = 23;
    dec_places = 0;
    font = SYSTEM, 10, bold;
    mask = '@@';
    colors
      ink = black;
      low_limit = lgray;
      high_limit = lgray;
    end_colors;
  end_meter;

  meter meter;
    timer = 3600, 0;
    owner = panel_1;
    position = 31, 48, 22, 20;
    expression = hour;
    mode = text_display;
    range_to = 23;
    low_limit = 23;
    high_limit = 23;
    dec_places = 0;
    font = SYSTEM, 10, bold;
    mask = '@@';
    colors
      ink = black;
      low_limit = lgray;
      high_limit = lgray;
    end_colors;
  end_meter;

  label text;
    owner = panel_1;
    position = 29, 24;
    font = SYSTEM, 10, bold;
    text = '1. spsob';
  end_label;

  program sposob_2;
    timer = 1, 0;
    begin
      if hour<10 then
        hod=concat('0',str(hour,10));
      else
        hod=str(hour,10);
      end;
      if minute<10 then
        min=concat('0',str(minute,10));
      else
        min=str(minute,10);
      end;
      if second<10 then
        sek=concat('0',str(second,10));
      else
        sek=str(second,10);
      end;
      text_cas_2=concat(concat(concat(concat(hod,':'),min),':'),sek);
      send cas_2;
    end;
  end_program;

  program sposob_3;
    timer = 1, 0;
    begin
      system.GetTimeString(&text_cas_3);
      send cas_3;
    end;
  end_program;

  program sposob_3m;
    timer = 60, 0;
    begin
      system.GetTimeString(&text_cas_3m);
      text_cas_3m=slice(text_cas_3m,0,5);
      send cas_3m;
    end;
  end_program;

  program startup;
    begin
      send meter;
      send sposob_2;
      send sposob_3;
      send sposob_3m;
    end;
  end_program;

end_instrument;

